Loading...
Searching...
No Matches
thread File Reference

Common thread related definitions. More...

`#include <l4/sys/capability>`
`#include <l4/sys/snd_destination>`
`#include <l4/sys/thread.h>`
Include dependency graph for thread:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4::Thread
| C++ L4 kernel thread interface, see Thread for the C interface. More...
class | L4::Thread::Attr
| Thread attributes used for control(). More...
class | L4::Thread::Modify_senders
| Class wrapping a list of rules which modify the sender label of IPC messages inbound to this thread. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Detailed Description

Common thread related definitions.

Definition in file thread.